App::Pinto::Command::unlock(3pm)

NAME
App::Pinto::Command::unlock - mark a stack as writable

VERSION
version 0.14

SYNOPSIS
  pinto --root=REPOSITORY_ROOT unlock [OPTIONS]

DESCRIPTION
This command unlocks a stack so that its packages can be changed.

Unlocking a stack does not cause an event in the revision history, so reverting the stack will not restore the lock. To lock a stack, use the lock command.

COMMAND ARGUMENTS
As an alternative to the "--stack" option, you can also specify the stack as an argument. So the following examples are equivalent:

  pinto --root REPOSITORY_ROOT unlock --stack dev
  pinto --root REPOSITORY_ROOT unlock dev

A stack specified as an argument in this fashion will override any stack specified with the "--stack" option.

COMMAND OPTIONS

--stack NAME
-s NAME
    Unlock the stack with the given NAME. Defaults to the name of whichever stack is currently marked as the default stack. Use the stacks command to see the stacks in the repository.

AUTHOR
Jeffrey Ryan Thalhammer <jeff@stratopan.com>

COPYRIGHT AND LICENSE
This software is copyright (c) 2015 by Jeffrey Ryan Thalhammer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.